Bump plugin versions
Add .jpi files for upgrading offline deployment
PROD-36850
PROD-36733
Change-Id: I1b0f5014279201b90142acf1537277e46449710b
diff --git a/pre_startup_copy_plugins.sh b/pre_startup_copy_plugins.sh
new file mode 100644
index 0000000..a6b2338
--- /dev/null
+++ b/pre_startup_copy_plugins.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+# Copy plugins .jpi files from /opt/plugins_files_offline to $JENKINS_HOME/plugins
+# at first boot after upgrading docker. This script should be executed before starting up jenkins.
+# The script will watch "$JENKINS_HOME/.plugins_for_X.XXX.X_installed" file existence.
+set -e
+watchfile="${JENKINS_HOME}/.plugins_for_2.263.4_installed"
+if [[ ! -f "${watchfile}" ]] ; then
+ cp /opt/plugins_files_offline/*.jpi "${JENKINS_HOME}/plugins"
+ touch "${watchfile}"
+fi